Bug 19592 - Move admin templates JavaScript to the footer: Acquisitions
Summary: Move admin templates JavaScript to the footer: Acquisitions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-08 15:18 UTC by Owen Leonard
Modified: 2017-12-14 17:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19592: Move admin templates JavaScript to the footer: Acquisitions (46.42 KB, patch)
2017-11-08 16:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19592: Move admin templates JavaScript to the footer: Acquisitions (46.48 KB, patch)
2017-11-09 09:57 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19592: Move admin templates JavaScript to the footer: Acquisitions (46.53 KB, patch)
2017-12-06 14:42 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-08 15:18:43 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header. This patch will do so for the acquisitions-related administration templates.
Comment 1 Owen Leonard 2017-11-08 16:05:34 UTC Comment hidden (obsolete)
Comment 2 Simon Pouchol 2017-11-09 09:57:25 UTC
Created attachment 69048 [details] [review]
Bug 19592: Move admin templates JavaScript to the footer: Acquisitions

This patch modifies the staff client acquisitions-related adminisration
templates so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of the
cart: All button controls, DataTables functionality, tabs, etc.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 3 Josef Moravec 2017-12-06 14:42:43 UTC
Created attachment 69555 [details] [review]
Bug 19592: Move admin templates JavaScript to the footer: Acquisitions

This patch modifies the staff client acquisitions-related adminisration
templates so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of the
cart: All button controls, DataTables functionality, tabs, etc.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-11 14:35:50 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-14 17:50:34 UTC
Awesome work all! Skipping for 17.11, enhancement